AddAttribute

Running Connect 10.17.00.209

I am going through the steps tutorial for building a MicroStation Addin

I am at 

Learning MicroStation Addins Step by Step[4]

I am getting an unknown object KeyinTree when I declare the AddinAttribute:

using System;
using System.Runtime.InteropServices;
using System.Windows.Forms;
//using Bentley.Internal.MstnPlatformNET;
using Bentley.MstnPlatformNET;


namespace csAddins
{
    [Bentley.MstnPlatformNET.AddInAttribute
                 (KeyinTree = "csAddins.commands.xml", MdlTaskID = "CSADDINS")]
    internal sealed class MyAddin : Bentley.MstnPlatformNET.AddIn
    {
        private MyAddin(System.IntPtr mdlDesc) : base(mdlDesc)
        {
        }
        protected override int Run(string[] commandLine)
        {
            string sWinFrameworkPath = RuntimeEnvironment.GetRuntimeDirectory();
            MessageBox.Show("Framework Path =" + sWinFrameworkPath);
            CreateElement.LineAndLineString();
            CreateElement.ShapeAndComplexShape();
            CreateElement.TextAndTextNode();
            CreateElement.CellAndSharedCell();
            CreateElement.LinearAndAngularDimension();
            CreateElement.CurveAndBsplineCurve();
            CreateElement.ConeAndBsplineSurface();
            return 0;
        }
    }
}

I copied the code verbatim from the tutorial. What am I doing worng?